# $Revision: 1.55 $, $Date: 2007/01/27 01:06:17 $
#
# Conditional build:
%bcond_without	sqlite		# disable use of sqlite
%bcond_without	static_libs	# don't build static library
%bcond_without	tests		# don't build tests
#
Summary:	C library for reading and writing files containing sampled sound
Summary(pl):	Biblioteka obsugi plikw dwikowych
Name:		libsndfile
Version:	1.0.17
Release:	2
License:	LGPL v2.1+
Vendor:		Erik de Castro Lopo <erikd@zip.com.au>
Group:		Development/Libraries
Source0:	http://www.mega-nerd.com/libsndfile/%{name}-%{version}.tar.gz
# Source0-md5:	2d126c35448503f6dbe33934d9581f6b
Patch0:		%{name}-flac.patch
URL:		http://www.mega-nerd.com/libsndfile/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	flac-devel >= 1.1.3
%{?with_tests:BuildRequires:	libstdc++-devel}
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
%{?with_sqlite:BuildRequires:	sqlite3-devel}
Obsoletes:	libsndfile1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libsndfile is a C library for reading and writing files containing
sampled sound (such as MS Windows WAV and the Apple/SGI AIFF format)
through one standard library interface.

%description -l pl
Libsndfile to bibliotek napisan w C, suca do czytania i
zapisywania plikw zawierajcych zsamplowany dwik (np. w formacie MS
Windows WAV czy Apple/SGI AIFF) poprzez jednolity, standardowy
interfejs.

%package devel
Summary:	libsndfile header files and development documentation
Summary(pl):	Pliki nagwkowe oraz dokumentacja do libsndfile
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	flac-devel >= 1.1.1
Obsoletes:	libsndfile1-devel

%description devel
Header files and development documentation for libsndfile.

%description devel -l pl
Pliki nagwkowe oraz dokumentacja do biblioteki libsndfile.

%package static
Summary:	libsndfile static libraries
Summary(pl):	Biblioteki statyczne libsndfile
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libsndfile static libraries.

%description static -l pl
Biblioteki statyczne libsndfile.

%package octave
Summary:	libsndfile modules for octave
Summary(pl):	Moduy libsndfile dla octave
Group:		Applications/Math
Requires:	%{name} = %{version}-%{release}
Requires:	octave

%description octave
A couple of script files for loading, saving, and playing sound files
from within Octave.

%description octave -l pl
Kilka skryptw Octave do adowania, zapisywania i odtwarzania plikw
dwikowych.

%prep
%setup -q
%patch0 -p1

%if %{without tests}
%{__sed} -i 's, tests$,,' Makefile.am
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static} \
	%{!?with_sqlite:--disable-sqlite}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/libsndfile1-dev

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/sndfile-*
%attr(755,root,root) %{_libdir}/libsndfile.so.*.*
%{_mandir}/man1/sndfile-*.1*

%files devel
%defattr(644,root,root,755)
%doc doc/*.html doc/*.jpg doc/new_file_type.HOWTO
%attr(755,root,root) %{_libdir}/libsndfile.so
%{_libdir}/libsndfile.la
%{_includedir}/sndfile.h*
%{_pkgconfigdir}/sndfile.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsndfile.a
%endif

%files octave
%defattr(644,root,root,755)
%{_datadir}/octave/site/m/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsndfile.spec,v $
Revision 1.55  2007/01/27 01:06:17  charles
- added tests bcond (default on)
- BR: libstdc++-devel (for tests)

Revision 1.54  2006/12/24 19:50:37  qboosh
- added flac patch to build with flac 1.1.3
- more verbose files, release 2

Revision 1.53  2006/09/03 11:19:50  adamg
- updated to 1.0.17

Revision 1.52  2006/05/01 00:11:03  charles
- BR: alsa-lib-devel, pkgconfig and sqlite3-devel (+ without bcond)
- added without static_libs bcond

Revision 1.51  2006/04/30 14:32:05  adamg
- updated to 1.0.16

Revision 1.50  2006/03/16 21:43:30  paszczus
- updated to 1.0.15

Revision 1.49  2006/02/27 21:29:46  qboosh
- updated to 1.0.14

Revision 1.48  2006/01/23 20:14:00  qboosh
- updated to 1.0.13

Revision 1.47  2005/10/06 06:07:09  qboosh
- updated to 1.0.12 (with FLAC support)

Revision 1.46  2005/05/03 17:11:48  pluto
- release 2 for Th.

Revision 1.45  2004/12/21 21:55:51  qboosh
- fixed bin perms

Revision 1.44  2004/11/15 15:54:18  paladine
- updated to 1.0.11

Revision 1.43  2004/06/17 13:54:21  grzegol
- updated to 1.0.10

Revision 1.42  2004/03/31 20:52:26  grzegol
- updated to 1.0.9

Revision 1.41  2004/03/14 20:31:32  qboosh
- removed obsolete sh patch

Revision 1.40  2004/03/14 18:20:13  adamg
- updated 1.0.8

Revision 1.39  2004/02/26 15:19:51  grzegol
- updated to 1.0.7
- changed URLs to oficial
- strict internal deps

Revision 1.38  2004/02/09 22:27:52  qboosh
- updated to 1.0.6, added sh patch
- fixed license (has been changed to LGPL in 2000)

Revision 1.37  2003/09/09 10:24:21  ankry
- spaces -> tab

Revision 1.36  2003/07/29 23:12:26  blues
- cosmetics

Revision 1.35  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.34  2003/05/25 05:50:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.33  2003/05/21 17:56:30  jack
- corrected BR

Revision 1.32  2003/05/05 09:15:31  trojan
- updated to 1.0.5: bug fixes

Revision 1.31  2003/02/04 07:59:20  trojan
- updated to 1.0.4

Revision 1.30  2003/01/15 15:20:17  qboosh
- updated to 1.0.3, removed obsolee amfix patch

Revision 1.29  2002/12/02 22:08:30  ankry
- pl Summary/description fixes
- adapterized

Revision 1.28  2002/11/25 14:17:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.27  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.26  2002/10/06 08:54:16  kloczek
- release 2: libsndfile1{,-devel} added to Obsletes for allow upgrade from MDK.

Revision 1.25  2002/09/14 20:18:25  qboosh
- amfix patch (fix for automake 1.6)
- added missing pkgconfig file
- moved devel docs to -devel

Revision 1.24  2002/09/14 09:35:17  zagrodzki
- upgraded to 1.0.1
- STBR

Revision 1.23  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.22  2002/05/21 23:13:59  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/05/11 17:58:45  kloczek
- updated to 0.0.28.

Revision 1.20  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.19  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/11/21 11:34:13  kloczek
- updated to 0.0.27.

Revision 1.16  2001/10/06 21:03:28  kloczek
- updated to 0.0.26.

Revision 1.15  2001/09/24 09:11:35  kloczek
- updated to 0.0.25.

Revision 1.14  2001/08/27 18:39:38  kloczek
- updated to 0.0.24.

Revision 1.13  2001/07/19 21:56:09  kloczek
- updated to 0.0.23.

Revision 1.12  2001/06/27 07:56:25  kloczek
- regenerate libtool files.

Revision 1.11  2001/06/24 22:42:47  kloczek
p release 3: "rm -f missing" before run automake.

Revision 1.10  2001/01/22 09:38:24  kloczek
- release 2,
- regenerate automake, autoconf files (added automake to BuildRequires),
- removed "install -d .." line from top %install.

Revision 1.9  2000/10/19 01:45:03  kloczek
- autoconf patch is back.

Revision 1.8  2000/10/18 21:50:14  kloczek
- updated to 0.0.22,
- emoved outdated autoconf patch,
- use new rpm automation.

Revision 1.7  2000/08/21 00:30:51  kloczek
- updated to 0.0.21.

Revision 1.6  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/06/05 16:23:26  kloczek
- updated to 0.0.20.

Revision 1.3  2000/05/30 01:33:28  kloczek
- updated to 0.0.19,
- spec adapterized.

Revision 1.2  2000/05/14 21:36:36  kloczek
- added autoconf patch with corrections which allow correctly pass
  $RPM_OPT_FLAGS to compile options,
- cosmetics.

Revision 1.1  2000/05/12 11:33:28  misiek
- biblioteka obsugi plikw dwikowych
- niezy klient ftp (z ipv6) zastpujcy pakiet ftp-*
